function::proc_mem_rss
Prev | Chapter 6. Memory Tapset | Next

## Name

function::proc_mem_rss — Program resident set size in pages

## Synopsis

    1) proc_mem_rss:long()

    2) proc_mem_rss:long(pid:long)

## Arguments

`pid`

  The pid of process to examine

## Description

1) Returns the resident set size in pages of the current process, or zero when there is no current process or the number of pages couldn't be retrieved.

2) Returns the resident set size in pages of the given process, or zero when the process doesn't exist or the number of pages couldn't be retrieved.

Prev | Up | Next
function::proc_mem_data | Home | function::proc_mem_shr